## libuemf 0.2.8+ds

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0)
project(libUEMF VERSION 0.2.7 LANGUAGES C)
# Note - library version is 0.0.3 for now, even for small bug fixes to
# the project which increment the final version number.


# Default installation is to /usr/local
# Commented out line below installs to current directory
# Pick one or the other or edit to set target.
#SET(CMAKE_INSTALL_PREFIX          /usr/local                  )
SET(CMAKE_INSTALL_PREFIX           ..                          )

SET(FS8 -std=c99 -pedantic -Wall -fPIC -c)
SET(FS9 -Wall -std=c99 -pedantic -O3)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
add_library(uemf SHARED
    uemf.c
    uemf_print.c
    uemf_endian.c
    uemf_safe.c
    uemf_utf.c
    uwmf.c
    uwmf_print.c
    uwmf_endian.c
    upmf.c
    upmf_print.c
)

set_target_properties(uemf PROPERTIES VERSION 0.0.3)
set_target_properties(uemf PROPERTIES SOVERSION 0)
target_compile_options(uemf PRIVATE ${FS8})

add_executable(cutemf            cutemf.c            )
add_executable(pmfdual2single    pmfdual2single.c    )
add_executable(reademf           reademf.c           )
add_executable(readwmf           readwmf.c           )
add_executable(testbed_emf       testbed_emf.c       )
add_executable(testbed_pmf       testbed_pmf.c       )
add_executable(testbed_wmf       testbed_wmf.c       )
add_executable(test_mapmodes_emf test_mapmodes_emf.c )
###

target_compile_options(cutemf            PRIVATE ${FS9} )
target_compile_options(pmfdual2single    PRIVATE ${FS9} )
target_compile_options(reademf           PRIVATE ${FS9} )
target_compile_options(readwmf           PRIVATE ${FS9} )
target_compile_options(testbed_emf       PRIVATE ${FS9} )
target_compile_options(testbed_pmf       PRIVATE ${FS9} )
target_compile_options(testbed_wmf       PRIVATE ${FS9} )
target_compile_options(test_mapmodes_emf PRIVATE ${FS9} )
###
target_link_libraries(cutemf            PRIVATE  uemf m )
target_link_libraries(pmfdual2single    PRIVATE  uemf m )
target_link_libraries(reademf           PRIVATE  uemf m )
target_link_libraries(readwmf           PRIVATE  uemf m )
target_link_libraries(testbed_emf       PRIVATE  uemf m )
target_link_libraries(testbed_pmf       PRIVATE  uemf m )
target_link_libraries(testbed_wmf       PRIVATE  uemf m )
target_link_libraries(test_mapmodes_emf PRIVATE  uemf m )

INSTALL(TARGETS uemf 
                cutemf  pmfdual2single reademf readwmf 
                testbed_emf testbed_pmf testbed_wmf test_mapmodes_emf
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION lib)

FILE(GLOB hfiles "${CMAKE_CURRENT_SOURCE_DIR}/*.h")
INSTALL(FILES ${hfiles} DESTINATION include)


#####################################################
#
#install man pages
#FILE(GLOB files "${CMAKE_CURRENT_SOURCE_DIR}/*.1")
#INSTALL(FILES ${files} DESTINATION "${CMAKE_INSTALL_PREFIX}/man/man1" )
##install html pages
#FILE(GLOB files "${CMAKE_CURRENT_SOURCE_DIR}/*.html")
#INSTALL(FILES ${files} DESTINATION "${CMAKE_INSTALL_PREFIX}/doc/html" )

=== debian/changelog ===
libuemf (0.2.8+ds-4) unstable; urgency=medium

  * Configure with -DCMAKE_POLICY_VERSION_MINIMUM=3.5 (Closes: #1113211)

 -- Andrius Merkys <merkys@debian.org>  Fri, 03 Oct 2025 03:59:55 -0400

libuemf (0.2.8+ds-3) unstable; urgency=medium

  * Linking libuemf.so with -lm (Closes: #992549).

 -- Andrius Merkys <merkys@debian.org>  Tue, 07 Sep 2021 02:16:07 -0400

libuemf (0.2.8+ds-2) unstable; urgency=medium

  * Transferring to Debian Multimedia Team.

 -- Andrius Merkys <merkys@debian.org>  Mon, 16 Aug 2021 06:06:24 -0400

libuemf (0.2.8+ds-1) unstable; urgency=medium

  * Initial release (Closes: #987002)

 -- Andrius Merkys <merkys@debian.org>  Thu, 15 Apr 2021 04:14:32 -0400

=== debian/control ===
Source: libuemf
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
Standards-Version: 4.5.1
Section: libs
Homepage: https://sourceforge.net/projects/libuemf/
Vcs-Browser: https://salsa.debian.org/multimedia-team/libuemf
Vcs-Git: https://salsa.debian.org/multimedia-team/libuemf.git
Rules-Requires-Root: no

Package: libuemf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libuemf0 (= ${binary:Version}),
 ${misc:Depends},
Description: Read/write EMF, EMF+, WMF files (development files)
 libUEMF is a portable C99 implementation for reading/writing Enhanced Metafile
 (EMF), Enhanced Metafile Format Plus (PMF), and Windows Metafile (WMF) files.
 libUEMF avoids collisions with Microsoft defined functions and values, so
 portable programs which use it and have a Windows version, do not require any
 conditional logic to separate the native GDI support from the WMF/EMF/PMF
 support provided by libUEMF. To accomplish this libUEMF does not implement GDI
 calls. Instead, for each WMR/EMR/PMR record type, and each object type
 incorporated into such a record, it provides corresponding *_set, *_print, and
 *_swap functions. For PMF and WMF there are also *_get functions, see below.
 For example, for the U_EMRBITBLT record there are corresponding functions:
 U_EMRBITBLT_set, U_EMRBITBLT_print, and U_EMRBITBLT_swap. A few additional
 functions are provided for assembling the EMF in memory, debugging, and
 converting the EMF file to/from Little Endian representation. (EMF files'
 internal data representation is always Little Endian.)
 .
 This package contains the development files.

Package: libuemf0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Read/write EMF, EMF+, WMF files (shared library)
 libUEMF is a portable C99 implementation for reading/writing Enhanced Metafile
 (EMF), Enhanced Metafile Format Plus (PMF), and Windows Metafile (WMF) files.
 libUEMF avoids collisions with Microsoft defined functions and values, so
 portable programs which use it and have a Windows version, do not require any
 conditional logic to separate the native GDI support from the WMF/EMF/PMF
 support provided by libUEMF. To accomplish this libUEMF does not implement GDI
 calls. Instead, for each WMR/EMR/PMR record type, and each object type
 incorporated into such a record, it provides corresponding *_set, *_print, and
 *_swap functions. For PMF and WMF there are also *_get functions, see below.
 For example, for the U_EMRBITBLT record there are corresponding functions:
 U_EMRBITBLT_set, U_EMRBITBLT_print, and U_EMRBITBLT_swap. A few additional
 functions are provided for assembling the EMF in memory, debugging, and
 converting the EMF file to/from Little Endian representation. (EMF files'
 internal data representation is always Little Endian.)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

=== debian/watch ===
version=4
opts="repack,repacksuffix=+ds,dversionmangle=auto" \
 http://sf.net/libuemf/libUEMF-(.+)\.tar\.gz
